// router/index.js
import { createRouter, createWebHistory } from 'vue-router';
const routes = [
    {
        path: '/',
        redirect: 'home'
    },
    {
        path: '/home',
        name: 'home',
        component: () => import('@/views/layout.vue'),
        children: [
            {
                path: 'navigation',
                name: 'navigation',
                component: () => import('@/views/navigation/index.vue'),
            }
        ]
    },
    {
        path: '/about',
        name: 'about',
        component: () => import('@/views/layout.vue'),
        children: [
            {
                path: '/about1',
                name: 'about1',
                component: () => import('@/views/about/index.vue')
            },
        ]
    },
    // 添加其他路由配置...
];

const router = createRouter({
    history: createWebHistory(),
    routes
});

export default router;
